Bug 535174 - (RHQ-1898) Installer should read data like smtp server from existing DB entries on update
Installer should read data like smtp server from existing DB entries on update
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 06:55 EDT by Heiko W. Rupp
Modified: 2014-05-05 14:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 14:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-04-01 06:55:00 EDT
When upgrading the RHQ server and keeping the database,
we should try to read as many preferences as possible from the database.
This would e.g. apply to the setting for the smtp server.

In addition the installer should ask for the location of the old rhq-server.properties file and read the settings from there to server as preset for the upgrade.

The installer should also try to copy over the license file. It should be able to determine its location from the path of the properties file above.
Alternatively, it could just ask for the base directory of the old install and determine the paths from there.
Comment 1 Red Hat Bugzilla 2009-11-10 15:49:01 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1898
Comment 2 Jay Shaughnessy 2014-05-05 14:11:09 EDT
rhqctl upgrade does this.

Note You need to log in before you can comment on or make changes to this bug.